## heimdal-cclub 006b-1

=== debian/changelog ===
heimdal-cclub (006b-1) stable; urgency=medium

  * built against openssl des

 -- Aaron Solochek <aarons@aberrant.org>  Wed, 18 Jun 2003 19:01:30 -0500

heimdal-cclub (006-1) stable; urgency=high

  * updates to heimdal-0.6 - fixes krb4 crossrealm bug.

 -- Aaron Solochek <aarons@aberrant.org>  Mon, 12 May 2003 19:09:27 -0500

heimdal-cclub (005-1) stable; urgency=medium

  * sync to club version 005, which is heimdal-0.5.2
  
 -- Aaron Solochek <aarons@aberrant.org>  Fri, 28 Mar 2003 22:43:10 -0500

heimdal-cclub (004-2) stable; urgency=low

  * small bugfix in kinit

 -- Aaron Solochek <aarons@aberrant.org>  Mon, 12 Nov 2002 15:38:37 -0500

heimdal-cclub (004-1) stable; urgency=high

  * Upgrade to heimdal 0.5.1 -- security fix
  * Fix kinit to keep renewing tickets if command is passed

 -- Aaron Solochek <aarons@aberrant.org>  Mon, 04 Nov 2002 15:39:28 -0500

heimdal-cclub (003-1) stable; urgency=low

  * Upgrade to heimdal 0.5

 -- Aaron Solochek <aarons@aberrant.org>  Wed, 09 Oct 2002 05:27:15 -0500

heimdal-cclub (002-2) stable; urgency=low

  * Added libopenafs-dev build dependency to control
  * Added conflict between libroken and libroken-heimdal

 -- Aaron Solochek <aarons@aberrant.org>  Wed, 04 Sep 2002 19:59:00 -0500

heimdal-cclub (002-1) stable; urgency=low

  * Initial Release.

 -- Aaron Solochek <aarons@aberrant.org>  Thu, 29 Aug 2002 12:37:38 -0500
