=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1999 to 2000 by Brian May.

upstream_version=006b

# Stolen from open-ldap 1.2.11
# the dbs rules
TAR_DIR := heimdal-cclub_${upstream_version}
#include debian/scripts/dbs-build.mk
include /usr/share/dbs/dbs-build.mk

libroken_version=`ls $(BUILD_TREE)/lib/roken/.libs/libroken.so.* | \
 awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
libroken_major=`ls $(BUILD_TREE)/lib/roken/.libs/libroken.so.* | \
 awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

libcom_err_version=`ls $(BUILD_TREE)/lib/com_err/.libs/libcom_err.so.* | \
 awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
libcom_err_major=`ls $(BUILD_TREE)/lib/com_err/.libs/libcom_err.so.* | \
 awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

#libdes comes from openssl
#libdes_version=`ls $(BUILD_TREE)/lib/des/.libs/libdes.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#libdes_major=`ls $(BUILD_TREE)/lib/des/.libs/libdes.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

libsl_version=`ls $(BUILD_TREE)/lib/sl/.libs/libsl.so.* | \
 awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
libsl_major=`ls $(BUILD_TREE)/lib/sl/.libs/libsl.so.* | \
 awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

libss_version=`ls $(BUILD_TREE)/lib/sl/.libs/libss.so.* | \
 awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
libss_major=`ls $(BUILD_TREE)/lib/sl/.libs/libss.so.* | \
 awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

libasn1_version=`ls $(BUILD_TREE)/lib/asn1/.libs/libasn1.so.* | \
 awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
libasn1_major=`ls $(BUILD_TREE)/lib/asn1/.libs/libasn1.so.* | \
 awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

libkafs_version=`ls $(BUILD_TREE)/lib/kafs/.libs/libkafs.so.* | \
 awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
libkafs_major=`ls $(BUILD_TREE)/lib/kafs/.libs/libkafs.so.* | \
 awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

libkrb5_version=`ls $(BUILD_TREE)/lib/krb5/.libs/libkrb5.so.* | \
 awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
libkrb5_major=`ls $(BUILD_TREE)/lib/krb5/.libs/libkrb5.so.* | \
 awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

libhdb_version=`ls $(BUILD_TREE)/lib/hdb/.libs/libhdb.so.* | \
 awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
libhdb_major=`ls $(BUILD_TREE)/lib/hdb/.libs/libhdb.so.* | \
 awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

libkadm5srv_version=`ls $(BUILD_TREE)/lib/kadm5/.libs/libkadm5srv.so.* | \
 awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
libkadm5srv_major=`ls $(BUILD_TREE)/lib/kadm5/.libs/libkadm5srv.so.* | \
 awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

libkadm5clnt_version=`ls $(BUILD_TREE)/lib/kadm5/.libs/libkadm5clnt.so.* | \
 awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
libkadm5clnt_major=`ls $(BUILD_TREE)/lib/kadm5/.libs/libkadm5clnt.so.* | \
 awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

libgssapi_version=`ls $(BUILD_TREE)/lib/gssapi/.libs/libgssapi.so.* | \
 awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
libgssapi_major=`ls $(BUILD_TREE)/lib/gssapi/.libs/libgssapi.so.* | \
 awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

libotp_version=`ls $(BUILD_TREE)/lib/otp/.libs/libotp.so.* | \
 awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
libotp_major=`ls $(BUILD_TREE)/lib/otp/.libs/libotp.so.* | \
 awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

build: $(STAMP_DIR)/build-stamp 
$(STAMP_DIR)/build-stamp: $(patched)
	dh_testdir


#	chmod u+x missing
	touch $(BUILD_TREE)/include/stamp-h.in
#	touch $(BUILD_TREE)/configure
#	touch $(BUILD_TREE)/aclocal.m4
#	cd $(BUILD_TREE) && CFLAGS=-DKRB4 ./configure --prefix=/usr --enable-shared

	# patches
	patch -p0 $(BUILD_TREE)/include/config.h.in < `pwd`/debian/config_h_in.patch

	cd $(BUILD_TREE) && ./configure 			\
		--prefix=/usr					\
		--mandir=\$${prefix}/share/man			\
		--libexecdir=\$${prefix}/sbin			\
		--enable-shared 				\
		--with-krb4=/usr 				\
		--with-kaserver 				\
		--with-kaserver-db				\
		--with-openssl=/usr				\
		--with-openssl-include=/usr/include/openssl     \
		--without-openldap 				\
		--with-berkeley-db=-ldb				\
		--with-readline-include=/usr/include/readline	\
		--with-ss-include=/usr/include/ss 		

	# use our sane libtool
	cp debian/scripts/libtool $(BUILD_TREE)/

	# a hack needed to use openssl crypto
	echo "#define des_new_random_key des_random_key" >> $(BUILD_TREE)/lib/krb5/krb5_locl.h
	echo "#define HAVE_OPENSSL" >> $(BUILD_TREE)/appl/telnet/libtelnet/encrypt.h
	echo "#define des_new_random_key des_random_key" >> $(BUILD_TREE)/appl/telnet/libtelnet/encrypt.h
	cp -f debian/crypto-headers.h $(BUILD_TREE)/include/

	# Add here commands to compile the package.
	$(MAKE) -C $(BUILD_TREE)
	touch $(STAMP_DIR)/build-stamp

clean:
	dh_testdir
	dh_testroot

	# Add here commands to clean up after the build process.
	rm -rf $(SOURCE_DIR) $(STAMP_DIR)
	#-$(MAKE) distclean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.

	# another stupid hack...
#	mkdir -p /usr/lib/.libs
#	ln -sf /usr/lib/libkrb.so /usr/lib/.libs/libkrb.so
#	ln -sf /usr/lib/libdes.so /usr/lib/.libs/libdes.so

	$(MAKE) -C $(BUILD_TREE) install prefix=`pwd`/debian/tmp/usr

#	rm -rf /usr/lib/.libs

	# remove files that are installed latter
	rm -rf debian/tmp/usr/info
	rm -rf debian/tmp/usr/share/man/cat{1,3,5,8}

	# remove conflicting files
	rm -rf debian/tmp/usr/include/glob.h
	rm -rf debian/tmp/usr/include/fnmatch.h
	rm -rf debian/tmp/usr/include/ifaddrs.h
	rm  debian/tmp/usr/share/man/man1/login.1

	# install missing files
#	mkdir -p debian/tmp/usr/lib/heimdal-servers-cclub
#	mkdir -p debian/tmp/usr/lib/heimdal-kdc-cclub

	# pam foo
#	mkdir -p debian/tmp/lib/security
#	mv debian/tmp/usr/lib/pam_krb4.so debian/tmp/lib/security/

	# heimdal-servers
#	mv build-tree/heimdal-cclub_002/appl/kf/kfd debian/tmp/usr/sbin/
#	mv build-tree/heimdal-cclub_002/appl/ftp/ftpd/ftpd debian/tmp/usr/sbin
#	mv build-tree/heimdal-cclub_002/appl/push/push debian/tmp/usr/sbin/
#	mv build-tree/heimdal-cclub_002/appl/rsh/rshd debian/tmp/usr/sbin/
#	mv build-tree/heimdal-cclub_002/appl/telnet/telnetd/telnetd debian/tmp/usr/sbin/
#	mv build-tree/heimdal-cclub_002/appl/popper/popper debian/tmp/usr/sbin/

#	mv debian/tmp/usr/sbin/kfd debian/tmp/usr/lib/heimdal-servers-cclub
	mv debian/tmp/usr/sbin/ftpd debian/tmp/usr/sbin/kftpd
#	mv debian/tmp/usr/sbin/push debian/tmp/usr/lib/heimdal-servers-cclub
	mv debian/tmp/usr/sbin/rshd debian/tmp/usr/sbin/krshd
	mv debian/tmp/usr/sbin/telnetd debian/tmp/usr/sbin/ktelnetd
#	mv debian/tmp/usr/sbin/popper debian/tmp/usr/lib/heimdal-servers-cclub
#	mv debian/tmp/usr/bin/login debian/tmp/usr/lib/heimdal-servers-cclub

	# heimdal-servers-x
#	mv build-tree/heimdal-cclub_002/appl/kx/kxd debian/tmp/usr/sbin/
#	mv debian/tmp/usr/sbin/kxd debian/tmp/usr/lib/heimdal-servers-cclub

	# heimdal-kdc
#	mv build-tree/heimdal-cclub_002/kdc/kdc debian/tmp/usr/sbin/
#	mv build-tree/heimdal-cclub_002/kadmin/kadmind debian/tmp/usr/sbin/
#	mv build-tree/heimdal-cclub_002/kpasswd/kpasswdd debian/tmp/usr/sbin/
#	mv debian/tmp/usr/sbin/kdc debian/tmp/usr/lib/heimdal-servers-cclub
