## heimdal-cclub 006b-2

=== debian/changelog ===
heimdal-cclub (006b-2) stable; urgency=low

  * rename ksu to su, and make it suid root

 -- Aaron Solochek <aarons@aberrant.org>  Mon, 18 Aug 2003 16:25:45 -0500
