=== debian/control ===
Source: heimdal-cclub
Section: non-US
Priority: extra
Maintainer: Brian May <bam@debian.org>
Standards-Version: 3.5.6
Build-Depends: libncurses5-dev, bison, flex, debhelper, xlibs-dev, libreadline4-dev, libdb3-dev, libssl096-dev, dbs, krb4-dev-common-cclub, libcomerr1-krb4-cclub
Build-Conflicts: heimdal-dev libopenafs-dev

Package: heimdal-docs-cclub
Architecture: all
Depends: 
Replaces: heimdal-lib (<< 0.3c-5), libkrb5-15-heimdal
Conflicts: heimdal-lib (<< 0.3c-5)
Provides: heimdal-docs
Suggests: heimdal-clients-cclub, heimdal-clients-x-cclub, heimdal-servers-cclub, heimdal-servers-x-cclub
Description: Documentation for Heimdal Kerberos -- CMU Computer Club package
 Heimdal is a free implementation of Kerberos 5, that aims to be
 compatible with MIT Kerberos.
 .
 This package includes documentation (in info format) on how to
 use Heimdal, and relevant standards for Kerberos.

Package: heimdal-kdc-cclub
Architecture: any
Conflicts: kerberos4kth-kdc, heimdal-clients (<< 0.4e-3), heimdal-servers (<< 0.4e-3)
Depends: ${shlibs:Depends}, heimdal-clients-club, logrotate, debconf
Suggests: heimdal-docs-cclub
Provides: heimdal-kdc
Description: KDC for Heimdal Kerberos -- CMU Computer Club package
 Heimdal is a free implementation of Kerberos 5, that aims to be
 compatible with MIT Kerberos.
 .
 This package includes the KDC (key distribution centre) server,
 which is designed to run on a secure computer and keeps track
 of users passwords. This is done using the Kerberos protocol in
 such a way that the server computers do not need to know user's
 passwords.

Package: heimdal-dev-cclub
Architecture: any
Conflicts: heimdal-clients, comerr-dev, ss-dev, libopenafs-dev
Depends: libroken16-heimdal-cclub (= ${Source-Version}), libcomerr1-heimdal-cclub (= ${Source-Version}), libsl0-heimdal-cclub (= ${Source-Version}), libss0-heimdal-cclub (= ${Source-Version}), libasn1-6-heimdal-cclub (= ${Source-Version}), libkrb5-17-heimdal-cclub (= ${Source-Version}), libhdb7-heimdal-cclub (= ${Source-Version}), libkadm5srv7-heimdal-cclub (= ${Source-Version}), libkadm5clnt4-heimdal-cclub (= ${Source-Version}), libgssapi1-heimdal-cclub (= ${Source-Version}), libotp0-heimdal-cclub (= ${Source-Version})
Suggests: heimdal-docs-cclub, krb4-dev-cclub
Provides: heimdal-dev
Description: Development files for Heimdal Kerberos -- CMU Computer Club package
 Heimdal is a free implementation of Kerberos 5, that aims to be
 compatible with MIT Kerberos.
 .
 This is the development package, required for developing
 programs for Heimdal.

Package: heimdal-clients-x-cclub
Architecture: any
Depends: ${shlibs:Depends}, netbase, heimdal-clients-cclub
Conflicts: heimdal-clients, heimdal-clients-x, kerberos4kth-x11
Suggests: heimdal-docs-cclub
Provides: heimdal-clients-x
Description: X11 files for Heimdal Kerberos -- CMU Computer Club package
 Heimdal is a free implementation of Kerberos 5, that aims to be
 compatible with MIT Kerberos.
 .
 This package includes kerberos client programs for forwarding the X
 connection securely to a remote computer.

Package: heimdal-clients-cclub
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: netstd, kerberos4kth-user, kerberos4kth-clients, otp, krb4-usr-cclub, krb4-clients-cclub, heimdal-clients, openafs-client (<< 1.2.2-3)
Provides: telnet-client, ftp, rsh-client, krb5-config
Suggests: heimdal-docs-cclub
Description: Clients for Heimdal Kerberos -- CMU Computer Club package
 Heimdal is a free implementation of Kerberos 5, that aims to be
 compatible with MIT Kerberos.
 .
 This package includes client programs like telnet and ftp that have been
 compiled with Kerberos support.

Package: heimdal-servers-x-cclub
Architecture: any
Conflicts: kerberos4kth-x11, krb4-x11-cclub, heimdal-servers, heimdal-servers-x
Depends: ${shlibs:Depends}, netbase, heimdal-servers-cclub
Suggests: heimdal-docs-cclub
Provides: heimdal-servers-x
Description: X11 files for Heimdal Kerberos -- CMU Computer Club package
 Heimdal is a free implementation of Kerberos 5, that aims to be
 compatible with MIT Kerberos.
 .
 This package includes kerberos server programs for forwarding the X
 connection securely from a remote computer.

Package: heimdal-servers-cclub
Architecture: any
Depends: ${shlibs:Depends}, netbase
Conflicts: netstd, heimdal-clients, heimdal-servers, kerberos4kth-services
Provides: ftp-server, rsh-server, telnet-server
Suggests: heimdal-docs-cclub
Provides: heimdal-servers
Description: Servers for Heimdal Kerberos -- CMU Computer Club package
 Heimdal is a free implementation of Kerberos 5, that aims to be
 compatible with MIT Kerberos.
 .
 This package includes servers like telnetd and ftpd that have been
 compiled with Heimdal support.

Package: heimdal-lib-cclub
Architecture: all
Description: Dummy library package for Heimdal.
 This is a dummy package. It should be safe to remove it.

Package: libroken16-heimdal-cclub
Architecture: any
Depends: ${shlibs:Depends}
Replaces: heimdal-lib-cclub
Conflicts: heimdal-libs, libroken9-heimdal, libroken9-heimdal-cclub
Provides: libroken16-heimdal, libroken9-heimdal-cclub
Description: Libraries for Heimdal Kerberos -- CMU Computer Club package
 Heimdal is a free implementation of Kerberos 5, that aims to be
 compatible with MIT Kerberos.
 .
 This package contains the library that supplies functions required
 for Heimdal that are missing from the base operating system.

Package: libcomerr1-heimdal-cclub
Architecture: any
Depends: ${shlibs:Depends}
Replaces: heimdal-lib-cclub, libcomerr1-krb4-cclub
Conflicts: heimdal-libs, libcomerr1-heimdal
Provides: libcomerr1-heimdal, libcomerr1-krb4-cclub
Description: Libraries for Heimdal Kerberos -- CMU Computer Club package
 Heimdal is a free implementation of Kerberos 5, that aims to be
 compatible with MIT Kerberos.
 .
 This package contains a extended version of the libcomerr that
 is currently required for Heimdal.

Package: libsl0-heimdal-cclub
Architecture: any
Depends: ${shlibs:Depends}
Replaces: heimdal-lib-cclub
Conflicts: heimdal-libs, libsl0-heimdal
Provides: libsl0-heimdal
Description: Libraries for Heimdal Kerberos -- CMU Computer Club package
 Heimdal is a free implementation of Kerberos 5, that aims to be
 compatible with MIT Kerberos.
 .
 This package contains libsl, which is similar to libss that
 is supplied with e2fsprogs. This version is required for
 Heimdal.

Package: libss0-heimdal-cclub
Architecture: any
Depends: ${shlibs:Depends}
Replaces: heimdal-lib-cclub
Conflicts: heimdal-libs, libss0-heimdal
Provides: libss0-heimdal
Description: Libraries for Heimdal Kerberos -- CMU Computer Club package
 Heimdal is a free implementation of Kerberos 5, that aims to be
 compatible with MIT Kerberos.
 .
 This package contains libss, which is similar to libss that
 is supplied with e2fsprogs. This version is required for
 Heimdal.

Package: libasn1-6-heimdal-cclub
Architecture: any
Depends: ${shlibs:Depends}
Replaces: heimdal-lib-cclub
Conflicts: heimdal-libs, libasn1-5-heimdal
Provides: libasn1-5-heimdal-cclub, libasn1-5-heimdal
Description: Libraries for Heimdal Kerberos -- CMU Computer Club package
 Heimdal is a free implementation of Kerberos 5, that aims to be
 compatible with MIT Kerberos.
 .
 This package contains the asn1 parser required for Heimdal.

Package: libkrb5-17-heimdal-cclub
Architecture: any
Depends: ${shlibs:Depends}
Replaces: heimdal-lib-cclub
Conflicts: heimdal-libs, libkrb5-17-heimdal
Replaces: libkrb5-17-heimdal (>= 0.4e-23)
Description: Libraries for Heimdal Kerberos -- CMU Computer Club package
 Heimdal is a free implementation of Kerberos 5, that aims to be
 compatible with MIT Kerberos.
 .
 This package contains the kerberos 5 library.

Package: libhdb7-heimdal-cclub
Architecture: any
Depends: ${shlibs:Depends}
Replaces: heimdal-lib-cclub
Conflicts: heimdal-libs, libhdb7-heimdal
Provides: libhdb7-heimdal
Description: Libraries for Heimdal Kerberos -- CMU Computer Club package
 Heimdal is a free implementation of Kerberos 5, that aims to be
 compatible with MIT Kerberos.
 .
 This package contains the library for storing the KDC database.

Package: libkadm5srv7-heimdal-cclub
Architecture: any
Depends: ${shlibs:Depends}
Replaces: heimdal-lib-cclub
Conflicts: heimdal-libs, libkadm5srv7-heimdal
Provides: libkadm5srv7-heimdal
Description: Libraries for Heimdal Kerberos -- CMU Computer Club package
 Heimdal is a free implementation of Kerberos 5, that aims to be
 compatible with MIT Kerberos.
 .
 This package contains the server library for kadmin.

Package: libkadm5clnt4-heimdal-cclub
Architecture: any
Depends: ${shlibs:Depends}
Replaces: heimdal-lib-cclub
Conflicts: heimdal-libs, libkadm5clnt4-heimdal
Provides: libkadm5clnt4-heimdal
Description: Libraries for Heimdal Kerberos -- CMU Computer Club package
 Heimdal is a free implementation of Kerberos 5, that aims to be
 compatible with MIT Kerberos.
 .
 This package contains the client library for kadmin.

Package: libgssapi1-heimdal-cclub
Architecture: any
Depends: ${shlibs:Depends}
Replaces: heimdal-li-cclub
Conflicts: heimdal-libs, libgssapi1-heimdal-cclub
Provides: libgssapi1-heimdal
Description: Libraries for Heimdal Kerberos -- CMU Computer Club package
 Heimdal is a free implementation of Kerberos 5, that aims to be
 compatible with MIT Kerberos.
 .
 This package contains the library for GSSAPI support.

Package: libotp0-heimdal-cclub
Architecture: any
Depends: ${shlibs:Depends}
Replaces: heimdal-lib-cclub
Conflicts: heimdal-libs, libotp0-heimdal
Provides: libotp0-heimdal
Description: Libraries for Heimdal Kerberos -- CMU Computer Club package
 Heimdal is a free implementation of Kerberos 5, that aims to be
 compatible with MIT Kerberos.
 .
 This package contains the library for one time password support.

Package: libkafs0-heimdal-cclub
Architecture: any
Depends: ${shlibs:Depends}
Replaces: heimdal-lib-cclub, libkafs0-krb4-cclub
Conflicts: heimdal-libs, libkafs0-heimdal, libopenafs-dev
Provides: libkafs0-heimdal
Description: Libraries for Heimdal Kerberos -- CMU Computer Club package
 Heimdal is a free implementation of Kerberos 5, that aims to be
 compatible with MIT Kerberos.
 .
 This package contains the library for afs support.
