=== debian/rules ===
--- 
+++ 
@@ -116,12 +116,10 @@
 
 	# a hack needed to use openssl crypto
 	echo "#define des_new_random_key des_random_key" >> $(BUILD_TREE)/lib/krb5/krb5_locl.h
-	echo "#define HAVE_OPENSSL" >> $(BUILD_TREE)/appl/telnet/libtelnet/encrypt.h
 	echo "#define des_new_random_key des_random_key" >> $(BUILD_TREE)/appl/telnet/libtelnet/encrypt.h
-	cp -f debian/crypto-headers.h $(BUILD_TREE)/include/
 
 	# Add here commands to compile the package.
-	$(MAKE) -C $(BUILD_TREE)
+	$(MAKE) -C $(BUILD_TREE) CFLAGS='-O2 -DHAVE_OPENSSL'
 	touch $(STAMP_DIR)/build-stamp
 
 clean:
@@ -142,14 +140,7 @@
 
 	# Add here commands to install the package into debian/tmp.
 
-	# another stupid hack...
-#	mkdir -p /usr/lib/.libs
-#	ln -sf /usr/lib/libkrb.so /usr/lib/.libs/libkrb.so
-#	ln -sf /usr/lib/libdes.so /usr/lib/.libs/libdes.so
-
 	$(MAKE) -C $(BUILD_TREE) install prefix=`pwd`/debian/tmp/usr
-
-#	rm -rf /usr/lib/.libs
 
 	# remove files that are installed latter
 	rm -rf debian/tmp/usr/info
@@ -194,3 +185,9 @@
 #	mv build-tree/heimdal-cclub_002/kadmin/kadmind debian/tmp/usr/sbin/
 #	mv build-tree/heimdal-cclub_002/kpasswd/kpasswdd debian/tmp/usr/sbin/
 #	mv debian/tmp/usr/sbin/kdc debian/tmp/usr/lib/heimdal-servers-cclub
+#	mv debian/tmp/usr/sbin/kadmind debian/tmp/usr/lib/heimdal-servers-cclub
+#	mv debian/tmp/usr/sbin/kpasswdd debian/tmp/usr/lib/heimdal-servers-cclub
+#	install -m755 extras/setconfig debian/tmp/usr/lib/heimdal-kdc-cclub
+
+	# heimdal-clients
+#	mv build-tree/heimdal-cclub_002/appl/telnet/telnet/telnet.1 debian/tmp/usr/share/man/man1/
