## heimdal-cclub 007-1

=== debian/changelog ===
heimdal-cclub (007-1) stable; urgency=high

  * fixed su and login to fallback to /etc/shadow and use md5
  * fixed dependency problem with libasn1
  
 -- Aaron Solochek <aarons@aberrant.org>  Wed, 01 Oct 2003 01:35:20 -0500
