=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Brian May <bam@debian.org>
 Standards-Version: 3.5.6
-Build-Depends: libncurses5-dev, bison, flex, debhelper, xlibs-dev, libreadline4-dev, libdb3-dev, libssl096-dev, dbs, krb4-dev-common-cclub, libcomerr1-krb4-cclub
+Build-Depends: libncurses5-dev, bison, flex, debhelper, xlibs-dev, libreadline4-dev, libdb3-dev, libssl-dev, dbs, krb4-dev-common-cclub, libcomerr1-krb4-cclub
 Build-Conflicts: heimdal-dev libopenafs-dev
 
 Package: heimdal-docs-cclub
@@ -64,7 +64,7 @@
 
 Package: heimdal-clients-cclub
 Architecture: any
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, libssl0.9.6
 Conflicts: netstd, kerberos4kth-user, kerberos4kth-clients, otp, krb4-usr-cclub, krb4-clients-cclub, heimdal-clients, openafs-client (<< 1.2.2-3)
 Provides: telnet-client, ftp, rsh-client, krb5-config
 Suggests: heimdal-docs-cclub
@@ -165,8 +165,8 @@
 Architecture: any
 Depends: ${shlibs:Depends}
 Replaces: heimdal-lib-cclub
-Conflicts: heimdal-libs, libasn1-5-heimdal
-Provides: libasn1-5-heimdal-cclub, libasn1-5-heimdal
+Conflicts: heimdal-libs, libasn1-6-heimdal
+Provides: libasn1-6-heimdal
 Description: Libraries for Heimdal Kerberos -- CMU Computer Club package
  Heimdal is a free implementation of Kerberos 5, that aims to be
  compatible with MIT Kerberos.
