=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # Sample debian/rules that uses debhelper.
 # GNU copyright 1999 to 2000 by Brian May.
 
-upstream_version=006b
+upstream_version=007
 
 # Stolen from open-ldap 1.2.11
 # the dbs rules
@@ -91,10 +91,12 @@
 	touch $(BUILD_TREE)/include/stamp-h.in
 #	touch $(BUILD_TREE)/configure
 #	touch $(BUILD_TREE)/aclocal.m4
-#	cd $(BUILD_TREE) && CFLAGS=-DKRB4 ./configure --prefix=/usr --enable-shared
+
 
 	# patches
-	patch -p0 $(BUILD_TREE)/include/config.h.in < `pwd`/debian/config_h_in.patch
+	patch -p0 -d $(BUILD_TREE)/ < debian/patchdir/config_h.patch
+	patch -p0 -d $(BUILD_TREE)/appl/ < debian/patchdir/su.patch
+	patch -p0 -d $(BUILD_TREE)/appl/ < debian/patchdir/login.patch
 
 	cd $(BUILD_TREE) && ./configure 			\
 		--prefix=/usr					\
@@ -119,7 +121,7 @@
 	echo "#define des_new_random_key des_random_key" >> $(BUILD_TREE)/appl/telnet/libtelnet/encrypt.h
 
 	# Add here commands to compile the package.
-	$(MAKE) -C $(BUILD_TREE) CFLAGS='-O2 -DHAVE_OPENSSL'
+	$(MAKE) -C $(BUILD_TREE) 
 	touch $(STAMP_DIR)/build-stamp
 
 clean:
